Debian Bug report logs - #461167
libpdf-api2-perl: $pdf->info() metadata improperly handles Unicode strings

version graph

Package: libpdf-api2-perl; Maintainer for libpdf-api2-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libpdf-api2-perl is src:libpdf-api2-perl.

Reported by: Chris Adams <cadams@salk.edu>

Date: Thu, 17 Jan 2008 01:33:02 UTC

Severity: normal

Tags: l10n, patch

Found in version libpdf-api2-perl/0.57-1

Fixed in version libpdf-api2-perl/0.69-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=32373

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#461167; Package libpdf-api2-perl. Full text and rfc822 format available.

Acknowledgement sent to Chris Adams <cadams@salk.edu>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Adams <cadams@salk.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libpdf-api2-perl: $pdf->info() metadata improperly handles Unicode strings
Date: Wed, 16 Jan 2008 17:31:50 -0800
[Message part 1 (text/plain, inline)]
Package: libpdf-api2-perl
Version: 0.57-1
Severity: normal
Tags: patch l10n


PDF::API2 includes Encode but doesn't use it when checking for UTF-16
strings in metadata ($pdf->info() hash). This causes the output to be
garbled in our UTF-8 (perl -CSD) environment. The attached patch uses
Encode::detect to decode UTF-16BE/LE strings; it might be useful to
simply Encode::Guess the values but this approach is more conservative.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages libpdf-api2-perl depends on:
ii  libcompress-zlib-perl       1.42-2       Perl module for creation and manip
ii  perl                        5.8.8-7etch1 Larry Wall's Practical Extraction 

libpdf-api2-perl recommends no packages.

-- debconf-show failed
[UTF16.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#461167; Package libpdf-api2-perl. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 461167@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Chris Adams <cadams@salk.edu>, 461167@bugs.debian.org
Subject: Re: Bug#461167: libpdf-api2-perl: $pdf->info() metadata improperly handles Unicode strings
Date: Thu, 17 Jan 2008 10:32:54 +0200
[Message part 1 (text/plain, inline)]
forwarded 461167 http://rt.cpan.org/Public/Bug/Display.html?id=32373
thanks

-=| Chris Adams, Wed, Jan 16, 2008 at 05:31:50PM -0800 |=-
> PDF::API2 includes Encode but doesn't use it when checking for UTF-16
> strings in metadata ($pdf->info() hash). This causes the output to be
> garbled in our UTF-8 (perl -CSD) environment. The attached patch uses
> Encode::detect to decode UTF-16BE/LE strings; it might be useful to
> simply Encode::Guess the values but this approach is more conservative.

Thanks for the patch.

I've forwarded it upstream for comments. Hopefuly they won't object.

An adapted patch to the current upstream version (0.68) is in our
Subversion repository.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=32373. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Thu, 17 Jan 2008 08:36:03 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chris Adams <cadams@salk.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 461167-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 461167-close@bugs.debian.org
Subject: Bug#461167: fixed in libpdf-api2-perl 0.69-1
Date: Fri, 18 Jan 2008 08:47:05 +0000
Source: libpdf-api2-perl
Source-Version: 0.69-1

We believe that the bug you reported is fixed in the latest version of
libpdf-api2-perl, which is due to be installed in the Debian FTP archive:

libpdf-api2-perl_0.69-1.diff.gz
  to pool/main/libp/libpdf-api2-perl/libpdf-api2-perl_0.69-1.diff.gz
libpdf-api2-perl_0.69-1.dsc
  to pool/main/libp/libpdf-api2-perl/libpdf-api2-perl_0.69-1.dsc
libpdf-api2-perl_0.69-1_all.deb
  to pool/main/libp/libpdf-api2-perl/libpdf-api2-perl_0.69-1_all.deb
libpdf-api2-perl_0.69.orig.tar.gz
  to pool/main/libp/libpdf-api2-perl/libpdf-api2-perl_0.69.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 461167@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libpdf-api2-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Jan 2008 09:50:22 +0200
Source: libpdf-api2-perl
Binary: libpdf-api2-perl
Architecture: source all
Version: 0.69-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libpdf-api2-perl - create or modify PDF documents in Perl
Closes: 461167
Changes: 
 libpdf-api2-perl (0.69-1) unstable; urgency=low
 .
   [ gregor herrmann ]
   * debian/rules: delete /usr/lib/perl5 only if it exists.
 .
   [ Damyan Ivanov ]
   * New upstream release
     Closes: #461167 -- $pdf->info() metadata improperly handles Unicode
     strings
   * debian/watch: use dist-based URL, add v? to the pattern, require that
     version starts with a digit and contains digits, dots and underscores only
   * Standards-Version 3.7.3 (no changes)
   * improvements to short and long description
   * debhelper compatibility level 6
   * debian/remove-ignored-manpages.sh: louder warning in checksum
     mismatch
   * Update checksums of Version and
     Resource::CIDFont::TrueType::FontFile in debian/ignored-manpages
Files: 
 60b77a4e743e2520b554afcfcbf010a9 1157 perl optional libpdf-api2-perl_0.69-1.dsc
 e812a35c4e9d7ef1d8eee223e0cd2a14 7504570 perl optional libpdf-api2-perl_0.69.orig.tar.gz
 f2b62aed10538ef519d2f487c4a3a47d 13006 perl optional libpdf-api2-perl_0.69-1.diff.gz
 6cdd2aea0702be098db10def67a6db8e 3958602 perl optional libpdf-api2-perl_0.69-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHkFqKHqjlqpcl9jsRAlM7AKC/gHtaA23vjTO+fiYu5YYUGcDaAwCgpKPg
4Cvon46lOgmcK3zTlotrBos=
=XV0d
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Feb 2008 07:31:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:36:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.